#pragma once


/**
コントラスト調整ダイアログ

*/

#include  "DLGBoxBase.h"



//
namespace jbxwl {




/////////////////////////////////////////////////////////////////////////////
// CContrastDLG ダイアログ

class CContrastDLG : public CDialog
{
public:
	CExView*	 pView;
	int			 vMin, vMax;		// コントラストの上限と下限（固定）
	int			 oMin, oMax;		// 前のインスタンスの cMin, cMax
	int			 cMin, cMax;		// スライダーで調整する値（可変）
	int			 base;

	CEdit*		 cMaxEBox;
	CEdit*		 cMinEBox;

	CSliderCtrl* cMaxSldr;
	CSliderCtrl* cMinSldr;



// コンストラクション
public:
	CContrastDLG(CExView* pview, CWnd* pParent=NULL);

	virtual BOOL  OnInitDialog();




// ダイアログ データ
	//{{AFX_DATA(CContrastDLG)
	enum { IDD = IDD_CNTDLG };
	//}}AFX_DATA


// オーバーライド
	//{{AFX_VIRTUAL(CContrastDLG)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL


// インプリメンテーション
protected:
	//{{AFX_MSG(CContrastDLG)
	afx_msg void OnChangeCntCntMin();
	afx_msg void OnChangeCntCntMax();
	virtual void OnOK();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};



//{{AFX_INSERT_LOCATION}}




}		// namespace